org.apache.ignite.ml.dataset.feature.extractor

## Class ExtractionUtils.ArrayLikeVectorizer<K,V>

- java.lang.Object
- - org.apache.ignite.ml.dataset.feature.extractor.Vectorizer<K,V,C,Double>
  - - org.apache.ignite.ml.dataset.feature.extractor.ExtractionUtils.DefaultLabelVectorizer<K,V,Integer>
    - - org.apache.ignite.ml.dataset.feature.extractor.ExtractionUtils.IntCoordVectorizer<K,V>
      - - org.apache.ignite.ml.dataset.feature.extractor.ExtractionUtils.ArrayLikeVectorizer<K,V>

- Type Parameters:
    `K` - Type of key.
    `V` - Type of value.
  All Implemented Interfaces:
    Serializable, BiFunction<K,V,LabeledVector>, IgniteBiFunction<K,V,LabeledVector>, Preprocessor<K,V>, FeatureLabelExtractor<K,V,Double>
  Direct Known Subclasses:
    DoubleArrayVectorizer, DummyVectorizer
  Enclosing class:
    ExtractionUtils

      public abstract static class ExtractionUtils.ArrayLikeVectorizer<K,V>
      extends ExtractionUtils.IntCoordVectorizer<K,V>

  Vectorizer extracting vectors from array-like structure with finite size and integer coordinates.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ignite.ml.dataset.feature.extractor.Vectorizer

      `Vectorizer.LabelCoordinate, Vectorizer.VectorizerAdapter<K,V,C extends Serializable,L>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayLikeVectorizer(Integer... coords)` Creates an instance of Vectorizer.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<Integer>` | `allCoords(K key, V value)` Returns list of all coordinate with feature values.
    `protected abstract int` | `sizeOf(K key, V value)` Size of array-like structure of upstream object.

    - ### Methods inherited from class org.apache.ignite.ml.dataset.feature.extractor.ExtractionUtils.DefaultLabelVectorizer

      `label, zero`

    - ### Methods inherited from class org.apache.ignite.ml.dataset.feature.extractor.Vectorizer

      `apply, createVector, exclude, extract, feature, labeled, labeled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.trainers.FeatureLabelExtractor

      `extractFeatures, extractLabel`

    - ### Methods inherited from interface org.apache.ignite.ml.preprocessing.Preprocessor

      `map`

    - ### Methods inherited from interface org.apache.ignite.ml.math.functions.IgniteBiFunction

      `andThen`

    - ### Methods inherited from interface java.util.function.BiFunction

      `andThen`

- - ### Constructor Detail

    - #### ArrayLikeVectorizer

          public ArrayLikeVectorizer(Integer... coords)

      Creates an instance of Vectorizer.
      Parameters:
        `coords` - Coordinates.

  - ### Method Detail

    - #### sizeOf

          protected abstract int sizeOf(K key,
                                        V value)

      Size of array-like structure of upstream object.
      Parameters:
        `key` - Key.
        `value` - Value.
      Returns:
        size.

    - #### allCoords

          protected List<Integer> allCoords(K key,
                                            V value)

      Returns list of all coordinate with feature values.
      Specified by:
        `allCoords` in class `Vectorizer<K,V,Integer,Double>`
      Parameters:
        `key` - Key.
        `value` - Value.
      Returns:
        all coordinates list.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023